Debian Bug report logs - #490670
goplay: implement button "start this application"

version graph

Package: goplay; Maintainer for goplay is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for goplay is src:goplay.

Reported by: RalfGesellensetter <rgx@gmx.de>

Date: Sun, 13 Jul 2008 14:18:01 UTC

Severity: wishlist

Tags: patch

Found in version goplay/0.2-1

Fixed in version goplay/0.4-1.2

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. Full text and rfc822 format available.

Acknowledgement sent to RalfGesellensetter <rgx@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: RalfGesellensetter <rgx@gmx.de>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: goplay: implement button "start this application"
Date: Sun, 13 Jul 2008 16:17:31 +0200
Package: goplay
Version: 0.2-1+b1
Severity: wishlist

*** Please type your report below this line ***
goPlay, goLearn and any other variation could become a central element
of CDD's desktop if there was a simple button "start this application"
implemented. Rather than browsing menus, the (novice) user would browse
the goPlay/goLearn catalogue for relevant applications - and then start
any installed application right from there.

This issue has been discussed recently on Debian-Edu mailing list.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages goplay depends on:
ii  apt [libapt-pkg-libc6. 0.7.14+b1         Advanced front-end for dpkg
ii  debtags                1.7.5             Enables support for package 
tags
ii  ept-cache              0.5.17            Commandline tool to search 
the pac
ii  games-thumbnails       20080522          thumbnails of games in 
Debian
ii  libc6                  2.7-10            GNU C Library: Shared 
libraries
ii  libept0                0.5.17            High-level library for 
managing De
ii  libfltk1.1             1.1.9-4           Fast Light Toolkit - shared 
librar
ii  libgcc1                1:4.3.1-2         GCC support library
ii  libstdc++6             4.3.1-2           The GNU Standard C++ 
Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - 
runtime

goplay recommends no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. Full text and rfc822 format available.

Acknowledgement sent to Peter De Wachter <pdewacht@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 490670@bugs.debian.org (full text, mbox):

From: Peter De Wachter <pdewacht@gmail.com>
To: pkg-games-devel@lists.alioth.debian.org
Cc: RalfGesellensetter <rgx@gmx.de>, 490670@bugs.debian.org
Subject: Re: Bug#490670: goplay: implement button "start this application"
Date: Sun, 13 Jul 2008 20:56:34 +0200
On Sun, 13 Jul 2008 16:17:31 +0200
RalfGesellensetter <rgx@gmx.de> wrote:

> Package: goplay
> Version: 0.2-1+b1
> Severity: wishlist
> 
> *** Please type your report below this line ***
> goPlay, goLearn and any other variation could become a central element
> of CDD's desktop if there was a simple button "start this application"
> implemented. Rather than browsing menus, the (novice) user would
> browse the goPlay/goLearn catalogue for relevant applications - and
> then start any installed application right from there.
> 
> This issue has been discussed recently on Debian-Edu mailing list.

I think this wouldn't be too hard. Goplay would need tor read the menu
information in some way, to figure out the correct command to
execute (either the Debian menu files, or the XDG desktop files). Maybe
goplay needs to register a menu-method? Though at first glance
menu-methods don't seem to get information on menu-entry/package
relationships.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. Full text and rfc822 format available.

Acknowledgement sent to RalfGesellensetter <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 490670@bugs.debian.org (full text, mbox):

From: RalfGesellensetter <rgx@gmx.de>
To: Peter De Wachter <pdewacht@gmail.com>
Cc: pkg-games-devel@lists.alioth.debian.org, 490670@bugs.debian.org
Subject: Re: Bug#490670: goplay: implement button "start this application"
Date: Mon, 14 Jul 2008 18:52:57 +0200
Hi Peter & thanks for your positive feedback.

Am Sonntag 13 Juli 2008 schrieb Peter De Wachter:
> to figure out the correct command to ...

what I do usually when the $packagename does not 
include /usr/bin/$packagename is a

apt-file list $packagename |grep "usr/bin/"

	... resulting in:

$packagename: /usr/bin/$binaryname

Sometimes there are default options, and here you might be right to 
check for

apt-file list $packagename |grep "usr/share/menu"
--> /usr/share/menu/$menuname

grep command /usr/share/menu/$menuname
-->  command="/usr/bin/$binaryname $options"\

This is straightforward - but would imply dependencies on apt-file. 
Additional, apt-file list commands are quite slow (expect 2-3 seconds 
per package).

It should be considered to add a command field per package (same pattern 
as for screenshos and infotext).

Regards
Ralf








Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. Full text and rfc822 format available.

Acknowledgement sent to RalfGesellensetter <rgx@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 490670@bugs.debian.org (full text, mbox):

From: RalfGesellensetter <rgx@gmx.de>
To: 465369@bugs.debian.org, 490670@bugs.debian.org
Subject: Re: Bug#465369: ITP: golearn -- Debian educational browser
Date: Fri, 8 Aug 2008 17:19:01 +0200
Hello again,

and thank you for all the progress achieved by you all.

Am Sonntag 17 Februar 2008 schrieb Jonas Smedegaard:
> If/when goplay becomes more general in scope, I believe it makes good
> sense to rename it to eg. gogo, and then also rename that other
> package to either gogo-common or program-thumbnails.

Whatever name it will gain (deblauncher?), I'd like to share some design 
suggestions for further versions:

I might have mentioned sidux-edu's app-starter [1], a minor (but 
crucial) tool for a educational distribution called "Seminarix".

This tool lacks English descriptions and probably doesn't use debtags at 
all - but it bears three things that would be nice to have (at least 
for the educational branch):

1. launch button
2. German descriptions ;)
3. instead of tag selection, there is a coarse selection of educational
   areas (like music, language etc.) each available through a big icon 
   (Screenshot: [2]). Of course, in our case, debtags should be kept, 
   maybe some main branches could me visualised by icons as well. 

Thanks for reading
Regards
Ralf

[1] https://noc.sidux.com/edu/browser/sidux-edu/trunk/src
    Debian package:
    http://www.skolelinux.de/~ralf/deb/sidux-edu_0.1.6_i386.deb
[2] Screenshots attached to:
    http://wiki.skolelinux.de/Seminarix :: 
http://wiki.skolelinux.de/Seminarix?action=AttachFile&do=view&target=sidux-edu.png




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. Full text and rfc822 format available.

Acknowledgement sent to 490670@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 490670@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 490670@bugs.debian.org
Cc: RalfGesellensetter <rgx@gmx.de>, 465369@bugs.debian.org
Subject: Re: Bug#465369: ITP: golearn -- Debian educational browser
Date: Fri, 8 Aug 2008 17:41:23 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Ralf and others,

On Fri, Aug 08, 2008 at 05:19:01PM +0200, RalfGesellensetter wrote:
>I'd like to share some design suggestions for further versions:

[snip]

Thanks for your suggestions.  They are good inspiration.


I am not capable of programming in C++ that GoPlay! uses, and don't 
expect that to change any time soon (despite Enrico's optimism here).  
So any progress here needs to come from someone else.


>I might have mentioned sidux-edu's app-starter [1],

>[1] https://noc.sidux.com/edu/browser/sidux-edu/trunk/src
>    Debian package:
>    http://www.skolelinux.de/~ralf/deb/sidux-edu_0.1.6_i386.deb

Why do you package for Debian.edu directly?  Why not for Debian?


Please do not cross-post, and respect the topics of bugreports (file a 
new if you cannot find an existing bugreport fitting).  Bug#465369 had 
the limited scope of extending to more areas, which is done now - that 
bugreport is closed.

I am posting this response to both bugreports for the record, but please 
do reply only to 490670@bugs.debian.org !


  - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

  [x] quote me freely  [ ] ask before reusing  [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkicaSMACgkQn7DbMsAkQLgkEQCdEE36dYURtDayTofzm1QSBTwE
6YUAn1UdJkIL+LCpvBe9uWngiBfPP95C
=WRgD
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. (Tue, 07 Feb 2012 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 07 Feb 2012 17:36:03 GMT) Full text and rfc822 format available.

Message #30 received at 490670@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490670@bugs.debian.org
Subject: Re: goplay: implement button "start this application"
Date: Tue, 07 Feb 2012 18:34:24 +0100
[Ralf Gesellensetter]
> goPlay, goLearn and any other variation could become a central element
> of CDD's desktop if there was a simple button "start this application"
> implemented. Rather than browsing menus, the (novice) user would
> browse the goPlay/goLearn catalogue for relevant applications - and
> then start any installed application right from there.

I agree that this would make goplay a lot more useful, and am looking at
a way to implement it to include golearn in Debian Edu.

To avoid changing the GUI, I propose to make clicking on the screen shot
start the application.  With a tooltip when hovering over the screen
shot telling the user that clicking on it will start the program (for
installed packages) should tell users how to start the program.

To figure out how to start the application, I suggest checking the
installed package for any .desktop files in /usr/share/applications/.
If such desktop file is found, use its content/rules to start the
application.  If no such desktop file is found, goplay will not start
anything (most packages have such desktop file already).  I'm not quite
sure what to do if more than one .desktop file is found, but I suggest
starting the one with the name as the package if such file exist.

Is this an acceptable design for you?

Btw, is this application dead upstream?  No upload for two years and an
obvious patch to get rid of compiler warnings lingering in Ubuntu made
me worried.  Also, golearn only show two packages in Wheezy, while it
show ~20 packages in Squeeze.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. (Wed, 08 Feb 2012 02:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 08 Feb 2012 02:30:03 GMT) Full text and rfc822 format available.

Message #35 received at 490670@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490670@bugs.debian.org
Subject: Re: goplay: implement button "start this application"
Date: Wed, 8 Feb 2012 03:27:45 +0100
[Petter Reinholdtsen]
> To avoid changing the GUI, I propose to make clicking on the screen shot
> start the application.  With a tooltip when hovering over the screen
> shot telling the user that clicking on it will start the program (for
> installed packages) should tell users how to start the program.
> 
> To figure out how to start the application, I suggest checking the
> installed package for any .desktop files in /usr/share/applications/.
> If such desktop file is found, use its content/rules to start the
> application.  If no such desktop file is found, goplay will not start
> anything (most packages have such desktop file already).  I'm not quite
> sure what to do if more than one .desktop file is found, but I suggest
> starting the one with the name as the package if such file exist.
> 
> Is this an acceptable design for you?

I really hope for some feedback on this design draft.

I looked for existing C++ code to parse .desktop files, and found
libxdgutils/ in <URL: http://gitorious.org/xdg-autostart/ > which seem
to do most of what is needed.  The KDE libraries have lots of
dependencies that it is probably best to avoid.  Mentioning it here
for future reference.  The license seem to be BSD-like.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. (Wed, 08 Feb 2012 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 08 Feb 2012 21:42:04 GMT) Full text and rfc822 format available.

Message #40 received at 490670@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490670@bugs.debian.org
Subject: Re: goplay: implement button "start this application"
Date: Wed, 8 Feb 2012 22:39:24 +0100
[Message part 1 (text/plain, inline)]
[Petter Reinholdtsen]
> I really hope for some feedback on this design draft.

No objections so far, so I moved ahead.  Attached is a draft patch
that add support for starting programs from goplay.  It only work for
packages with only one desktop file in /usr/share/applications/, but
for those it will start the game/program.

This is the diffstat:

 Makefile.am                     |    2 
 configure.ac                    |    2 
 debian/changelog                |    8 
 debian/copyright                |    6 
 libxdgutils/Makefile.am         |   35 +
 libxdgutils/XDGAutostart.cpp    |  101 +++++
 libxdgutils/XDGAutostart.h      |   40 ++
 libxdgutils/XDGBasedir.cpp      |  147 +++++++
 libxdgutils/XDGBasedir.h        |   56 ++
 libxdgutils/XDGDesktopEntry.cpp |  781 ++++++++++++++++++++++++++++++++++++++++
 libxdgutils/XDGDesktopEntry.h   |  103 +++++
 libxdgutils/XDGMenu.cpp         |  315 ++++++++++++++++
 libxdgutils/XDGMenu.h           |   37 +
 libxdgutils/XDGUtils.cpp        |  112 +++++
 libxdgutils/XDGUtils.h          |   67 +++
 src/Makefile.am                 |    6 
 src/goplay.cpp                  |   55 ++
 src/pkgbrowser.cpp              |    6 
 src/pkgbrowser.h                |    4 
 src/ui.fld                      |    4 
 20 files changed, 1883 insertions(+), 4 deletions(-)

The libxdgutils directory is lifted directly from 
<URL: http://gitorious.org/xdg-autostart/ >.  The license is MIT.  I
hope this is acceptable.  The code is used to parse .desktop files and
start the program entry listed in this desktop file.

The code could be improved a lot, but is already functional.  There
are some debug output left in there to make it easier to figure out
what is going on.  If the desktop file is in a subdirectory (like
kde4), the code fail to discover that there is only one .desktop file.
If there are several, it fail to start any program.  And there is no
tooltip when hovering over the screen shot to tell the user what will
happen if the screenshot is clicked on.

Please apply this patch in a future version of goplay, or let me know
how you want the patch to change before applying it.
-- 
Happy hacking
Petter Reinholdtsen
[runprogs.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#490670; Package goplay. (Thu, 09 Feb 2012 14:51:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 09 Feb 2012 14:51:16 GMT) Full text and rfc822 format available.

Message #45 received at 490670@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 490670@bugs.debian.org
Subject: Re: goplay: implement button "start this application"
Date: Thu, 9 Feb 2012 15:50:31 +0100
[Petter Reinholdtsen]
> +		if (0 == line.find("/usr/share/applications/")
> +		    && 0 < line.find(".desktop")) {

I discovered that this is a bug.  The code should look like this:

  	     if (0 == line.find("/usr/share/applications/")
	     	    && line.npos != line.find(".desktop")) {

With this change, the packages with .desktop files in
/usr/share/applications/kde4/ also work (see for example marble for a
package triggering this problem).
-- 
Happy hacking
Petter Reinholdtsen




Added tag(s) patch. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sat, 11 Feb 2012 20:24:03 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Mon, 13 Feb 2012 23:03:11 GMT) Full text and rfc822 format available.

Notification sent to RalfGesellensetter <rgx@gmx.de>:
Bug acknowledged by developer. (Mon, 13 Feb 2012 23:03:12 GMT) Full text and rfc822 format available.

Message #52 received at 490670-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 490670-close@bugs.debian.org
Subject: Bug#490670: fixed in goplay 0.4-1.2
Date: Mon, 13 Feb 2012 23:02:25 +0000
Source: goplay
Source-Version: 0.4-1.2

We believe that the bug you reported is fixed in the latest version of
goplay, which is due to be installed in the Debian FTP archive:

goplay_0.4-1.2.debian.tar.gz
  to main/g/goplay/goplay_0.4-1.2.debian.tar.gz
goplay_0.4-1.2.dsc
  to main/g/goplay/goplay_0.4-1.2.dsc
goplay_0.4-1.2_i386.deb
  to main/g/goplay/goplay_0.4-1.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated goplay package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 11 Feb 2012 22:40:08 +0000
Source: goplay
Binary: goplay
Architecture: source i386
Version: 0.4-1.2
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 goplay     - games (and more) package browser using DebTags
Closes: 460921 470047 474603 490670 544532 615495 654733 659100
Changes: 
 goplay (0.4-1.2) unstable; urgency=low
 .
   * Non-maintainer upload based on NMU found on mentors.debian.net.
   * Add support for starting installed packages by clicking on the
     screen shot (Closes: #490670).
   * src/pkgbrowser.cpp: Assign the return value from strtol() to an
     unused variable and mark it as unused to avoid compiler warnings
     (Closes: #659100).  Patch from Michael Vogt and Ubuntu.
   * Make enough room for the "Already installed" text (Closes:
     #544532).  Patch by Timo Juhani Lindfors.
 .
 goplay (0.4-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Packaging update:
     - removed dh-buildinfo, autotools-dev
     + added missing build-deps, dh-autotools; build-deps optimised
     + compat and debhelper to version 9
     + default hardening (with the exception of fortify)
     + standards to 3.9.2
     + ept-cache replaced with apt-xapian-index in Depends
       (Closes: #615495 important:"goplay must be run as root at least
        once to function")
       (Closes: #460921 wishlist:"requires manual ept-cache reindex on
        the first start")
     + games-thumbnails moved to Recommends
       (Closes: #470047 wishlist:"please Recommends: games-thumbnails
        instead of Depends")
     + no longer depends on g++-4.5
       (Closes: #654733 important:"non-standard gcc/g++ used for build...")
     + build-time .xpm icon regeneration, no longer ship pre-built icon
       (imagemagick added to build-deps)
   * patch to introduce 'goscience' browser,
     thanks to Frederic Daniel Luc Lehobey
     (Closes: #474603 wishlist:"Please add a goscience browser")
   * debian/copyright:
     + updated list of contributors
     + little correction for DEP-5 compliance
Checksums-Sha1: 
 08ab0b5ad16daf8be74af1286aabe60564a85407 1226 goplay_0.4-1.2.dsc
 9b8aeba0df8a2702e1517fbdb6c78cf96252ea98 42303 goplay_0.4-1.2.debian.tar.gz
 5d9d0de499754854e4915768371805f298ea0061 264488 goplay_0.4-1.2_i386.deb
Checksums-Sha256: 
 cdebb9fbd2ce209b24148a8ceb4153ba9aa4b2d0d08533a27ff8eb7661b4e5bf 1226 goplay_0.4-1.2.dsc
 2981981eedb36170433d03ec9e3a9c9b4f4124034ef677504001682012af4ae2 42303 goplay_0.4-1.2.debian.tar.gz
 b1c3ed87509b5970286e9be6cb1d6f339adefccef86f16affe9a8f1168723b3f 264488 goplay_0.4-1.2_i386.deb
Files: 
 91c67542391474a22570c76c0280f6b7 1226 admin extra goplay_0.4-1.2.dsc
 15df8206f21d4b15b9d2997ce9dc6801 42303 admin extra goplay_0.4-1.2.debian.tar.gz
 dcc2976c59a115e13ce764e22e450442 264488 admin extra goplay_0.4-1.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFPNu8x20zMSyow1ykRAoyAAKCY0adFcu4yv933jGKGfRu8LEhHKACdHc0n
4YqUxWaIkI6bOxfnMuSXJpU=
=gLUu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Mar 2012 07:40:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:40:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.